%define rel 1

%define phonon_epoch 5
%define phonon_major 4
%define phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.5.0)

%define libphonon_requires %mklibname phonon %{phonon_major}
%define kde_name phonon-backend-gstreamer
Summary: GStreamer backend for Phonon
Name:    phonon-gstreamer
Epoch:   5
Version: 4.6.0
Release: %mkrel %rel
Group:   Sound
License: LGPLv2+
URL:     http://phonon.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/phonon/%kde_name/%version/src/%kde_name-%version.tar.xz
# run this script to generate a snapshot tarball
Source1: phonon-gstreamer_snapshot.sh
Source2: %{name}.svg

## Mandriva/upstreamable patches
Source99: phonon-4.5.1-gstreamer-fix-seekable-query-failed.patch

## Ubuntu/upstreamable patches
Patch1: phonon-4.4.3-flac_mimetype.patch
Patch2: phonon-backend-gstreamer-4.6.0-snapshot.patch

## Upstream patches

BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: libgstreamer-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: phonon-devel >= %{phonon_epoch}:4.4.4
BuildRequires: kde4-macros
BuildRequires: imagemagick

Provides: phonon-backend = %{phonon_epoch}:%{phonon_version}

Obsoletes: phonon-backend-gst < 4.2.0-4
Provides:  phonon-backend-gst = %{version}-%{release}

Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-base
Suggests: gstreamer0.10-ffmpeg
Suggests: gstreamer0.10-soup
Suggests: gstreamer0.10-pulse
Suggests: gstreamer0.10-plugins-ugly
# not *strictly* required, but strongly recommended by upstream when built
# with USE_INSTALL_PLUGIN
#Add back when in mageia
#Requires: PackageKit-gstreamer-plugin
Requires: %{libphonon_requires} >= %{phonon_epoch}:%{phonon_version}

%description
%{summary}.

%files -n phonon-gstreamer
%defattr(-,root,root)
%dir %_kde_libdir/kde4/plugins/phonon_backend
%_kde_libdir/kde4/plugins/phonon_backend/phonon_gstreamer.so
%_kde_datadir/kde4/services/phononbackends/gstreamer.desktop
%_datadir/icons/hicolor/*

#--------------------------------------------------------------------

%prep
%setup -q -n %kde_name-%{version}
%apply_patches

%build
%cmake_kde4 \
        -DUSE_INSTALL_PLUGIN=TRUE

%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Make a nice icon
install -D -m 0644 %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
for size in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps
  convert -geometry ${size}x${size} %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done


%clean
rm -rf "%{buildroot}"






%changelog

* Tue Feb 28 2012 colin <colin> 5:4.6.0-1.mga2
+ Revision: 215889
- New version: 4.6.0

* Wed May 11 2011 mikala <mikala> 5:4.5.1-0.mga1
+ Revision: 97274
- Disable patch52 for the moment
- Update tarball to 4.5.1
  Rediff patch52

* Fri Apr 22 2011 mikala <mikala> 5:4.5.0-2.mga1
+ Revision: 89773
- Add gstreamer0.10-plugins-ugly as a suggests (provides mp3 support)

* Mon Apr 11 2011 mikala <mikala> 5:4.5.0-1.mga1
+ Revision: 83128
- Update tarball to 4.5.0
- Remove BuildRoot

* Fri Jan 21 2011 dmorgan <dmorgan> 5:4.4.4-1.mga1
+ Revision: 29655
- Fix spec file
- Update to phonon 4.4.4

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.4.mga1
+ Revision: 21634
- introduce libphonon_requires mancro and fix the phonon Requires

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.3.mga1
+ Revision: 21585
- add the %%{phonon_epoch} to the Provides

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.2.mga1
+ Revision: 21548
- define phonon_epoch and phonon_major
- change phonon-devel BR to phonon-devel >= %%{phonon_epoch}:4.4.4
- change the phonon requires to requires libphonon with the correct phonon_epoch

* Sun Jan 16 2011 dmorgan <dmorgan> 5:4.4.4-0.20110104.1.mga1
+ Revision: 20383
- Fix BuildRequires
- Fix BuildRequires
- imported package phonon-gstreamer


* Sun Jan 16 2011 Dmorgan <dmorganec@gmail.com>  - 5:4.4.4-0.4.20110104
- Adapt to Mageia
	- Add patches
	- Increase Epoch
	- Add gstreamer image

* Fri Jan 07 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.4.20110104
- Requires: PackageKit-gstreamer-plugin , avoids potential crashers elsewhere 
  when built with USE_INSTALL_PLUGIN (kde#262308)

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.3.20110104
- %%doc COPYING.LIB
- add comment on pnonon-gstreamer_snapshot.sh usage

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 2:4.4.4-0.2.20110104
- phonon-backend-gstreamer

* Tue Jan 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.4.4-0.1.20110104
- phonon-gstreamer-4.4.4-20110104 snapshot

